/**
 * JASMINe
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: IJMXConnectionFactory.java 7238 2010-12-01 15:57:47Z jlegrand $
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.adapter.jmx.pool.api;

import javax.resource.ResourceException;
import javax.resource.cci.Connection;
import javax.resource.cci.ConnectionFactory;
import javax.resource.cci.ConnectionSpec;

/**
 *
 * @author Guillaume Renault
 *
 */
public interface IJMXConnectionFactory extends ConnectionFactory {

    /**
     * Gets a new connection using the connection manager.
     *
     * @param spec the specifications of the connection to get.
     * @throws ResourceException generic exception if operation fails due to an
     *             error condition.
     * @return a connection.
     */
    Connection getConnection(final ConnectionSpec spec) throws ResourceException;
}
